package com.liquidnet.service.galaxy;

import com.liquidnet.common.third.zxlnft.biz.ZxlnftBiz;
import lombok.extern.slf4j.Slf4j;
import org.junit.Test;
import org.junit.runner.RunWith;
import org.springframework.beans.factory.annotation.Autowired;
import org.springframework.boot.test.context.SpringBootTest;
import org.springframework.test.context.junit4.SpringJUnit4ClassRunner;
import org.springframework.util.LinkedMultiValueMap;
import org.springframework.util.MultiValueMap;

/**
 * @author AnJiabin <anjiabin@zhengzai.tv>
 * @version V1.0
 * @Description: TODO
 * @class: TestZxlnftBiz
 * @Package com.liquidnet.service.zxlnft.test
 * @Copyright: LightNet @ Copyright (c) 2021
 * @date 2022/2/21 11:44
 */
@Slf4j
@RunWith(SpringJUnit4ClassRunner.class)
@SpringBootTest
public class TestZxlnftBiz {
    @Autowired
    private ZxlnftBiz zxlnftBiz;

    @Test
    public void buildHeader(){
        MultiValueMap<String, String> commonHeader = new LinkedMultiValueMap();
        zxlnftBiz.buildHeader(commonHeader);
        System.out.println(commonHeader.toString());
    }

    @Test
    public void buildPlatFormHeader(){
        MultiValueMap<String, String> commonHeader = new LinkedMultiValueMap();
        zxlnftBiz.buildPlatFormHeader(commonHeader);
        System.out.println(commonHeader.toString());
    }
}
